diff -ru openssh-3.5p1.orig/ssh-keygen.0 openssh-3.5p1/ssh-keygen.0
--- openssh-3.5p1.orig/ssh-keygen.0	2002-10-04 11:31:44.000000000 +1000
+++ openssh-3.5p1/ssh-keygen.0	2003-03-12 21:15:23.000000000 +1100
@@ -1,31 +1,31 @@
-SSH-KEYGEN(1)           System General Commands Manual           SSH-KEYGEN(1)
+SSH-KEYGEN(1)             BSD General Commands Manual            SSH-KEYGEN(1)
 
-NAME
-     ssh-keygen - authentication key generation, management and conversion
+^[[1mNAME^[[0m
+     ^[[1mssh-keygen ^[[22m- authentication key generation, management and conversion
 
-SYNOPSIS
-     ssh-keygen [-q] [-b bits] -t type [-N new_passphrase] [-C comment]
-                [-f output_keyfile]
-     ssh-keygen -p [-P old_passphrase] [-N new_passphrase] [-f keyfile]
-     ssh-keygen -i [-f input_keyfile]
-     ssh-keygen -e [-f input_keyfile]
-     ssh-keygen -y [-f input_keyfile]
-     ssh-keygen -c [-P passphrase] [-C comment] [-f keyfile]
-     ssh-keygen -l [-f input_keyfile]
-     ssh-keygen -B [-f input_keyfile]
-     ssh-keygen -D reader
-     ssh-keygen -U reader [-f input_keyfile]
-
-DESCRIPTION
-     ssh-keygen generates, manages and converts authentication keys for
-     ssh(1).  ssh-keygen can create RSA keys for use by SSH protocol version 1
+^[[1mSYNOPSIS^[[0m
+     ^[[1mssh-keygen ^[[22m[^[[1m-q^[[22m] [^[[1m-b ^[[4m^[[22mbits^[[24m] ^[[1m-t ^[[4m^[[22mtype^[[24m [^[[1m-N ^[[4m^[[22mnew_passphrase^[[24m] [^[[1m-C ^[[4m^[[22mcomment^[[24m]
+                [^[[1m-f ^[[4m^[[22moutput_keyfile^[[24m]
+     ^[[1mssh-keygen -p ^[[22m[^[[1m-P ^[[4m^[[22mold_passphrase^[[24m] [^[[1m-N ^[[4m^[[22mnew_passphrase^[[24m] [^[[1m-f ^[[4m^[[22mkeyfile^[[24m]
+     ^[[1mssh-keygen -i ^[[22m[^[[1m-f ^[[4m^[[22minput_keyfile^[[24m]
+     ^[[1mssh-keygen -e ^[[22m[^[[1m-f ^[[4m^[[22minput_keyfile^[[24m]
+     ^[[1mssh-keygen -y ^[[22m[^[[1m-f ^[[4m^[[22minput_keyfile^[[24m]
+     ^[[1mssh-keygen -c ^[[22m[^[[1m-P ^[[4m^[[22mpassphrase^[[24m] [^[[1m-C ^[[4m^[[22mcomment^[[24m] [^[[1m-f ^[[4m^[[22mkeyfile^[[24m]
+     ^[[1mssh-keygen -l ^[[22m[^[[1m-f ^[[4m^[[22minput_keyfile^[[24m]
+     ^[[1mssh-keygen -B ^[[22m[^[[1m-f ^[[4m^[[22minput_keyfile^[[24m]
+     ^[[1mssh-keygen -D ^[[4m^[[22mreader^[[0m
+     ^[[1mssh-keygen -U ^[[4m^[[22mreader^[[24m [^[[1m-f ^[[4m^[[22minput_keyfile^[[24m]
+
+^[[1mDESCRIPTION^[[0m
+     ^[[1mssh-keygen ^[[22mgenerates, manages and converts authentication keys for
+     ssh(1).  ^[[1mssh-keygen ^[[22mcan create RSA keys for use by SSH protocol version 1
      and RSA or DSA keys for use by SSH protocol version 2. The type of key to
-     be generated is specified with the -t option.
+     be generated is specified with the ^[[1m-t ^[[22moption.
 
      Normally each user wishing to use SSH with RSA or DSA authentication runs
-     this once to create the authentication key in $HOME/.ssh/identity,
-     $HOME/.ssh/id_dsa or $HOME/.ssh/id_rsa.  Additionally, the system adminM--
-     istrator may use this to generate host keys, as seen in /etc/rc.
+     this once to create the authentication key in ^[[4m$HOME/.ssh/identity^[[24m,
+     ^[[4m$HOME/.ssh/id_dsa^[[24m or ^[[4m$HOME/.ssh/id_rsa^[[24m.  Additionally, the system admin-
+     istrator may use this to generate host keys, as seen in ^[[4m/etc/rc^[[24m.
 
      Normally this program generates the key and asks for a file in which to
      store the private key.  The public key is stored in a file with the same
@@ -33,13 +33,13 @@
      passphrase may be empty to indicate no passphrase (host keys must have an
      empty passphrase), or it may be a string of arbitrary length.  A
      passphrase is similar to a password, except it can be a phrase with a
-     series of words, punctuation, numbers, whitespace, or any string of charM--
+     series of words, punctuation, numbers, whitespace, or any string of char-
      acters you want.  Good passphrases are 10-30 characters long, are not
      simple sentences or otherwise easily guessable (English prose has only
      1-2 bits of entropy per character, and provides very bad passphrases),
      and contain a mix of upper and lowercase letters, numbers, and non-
      alphanumeric characters.  The passphrase can be changed later by using
-     the -p option.
+     the ^[[1m-p ^[[22moption.
 
      There is no way to recover a lost passphrase.  If the passphrase is lost
      or forgotten, a new key must be generated and copied to the corresponding
@@ -47,91 +47,91 @@
 
      For RSA1 keys, there is also a comment field in the key file that is only
      for convenience to the user to help identify the key.  The comment can
-     tell what the key is for, or whatever is useful.  The comment is initialM--
+     tell what the key is for, or whatever is useful.  The comment is initial-
      ized to ``user@host'' when the key is created, but can be changed using
-     the -c option.
+     the ^[[1m-c ^[[22moption.
 
      After a key is generated, instructions below detail where the keys should
      be placed to be activated.
 
      The options are as follows:
 
-     -b bits
+     ^[[1m-b ^[[4m^[[22mbits^[[0m
              Specifies the number of bits in the key to create.  Minimum is
              512 bits.  Generally 1024 bits is considered sufficient, and key
              sizes above that no longer improve security but make things
              slower.  The default is 1024 bits.
 
-     -c      Requests changing the comment in the private and public key
-             files.  This operation is only supported for RSA1 keys.  The proM--
+     ^[[1m-c      ^[[22mRequests changing the comment in the private and public key
+             files.  This operation is only supported for RSA1 keys.  The pro-
              gram will prompt for the file containing the private keys, for
              the passphrase if the key has one, and for the new comment.
 
-     -e      This option will read a private or public OpenSSH key file and
+     ^[[1m-e      ^[[22mThis option will read a private or public OpenSSH key file and
              print the key in a `SECSH Public Key File Format' to stdout.
              This option allows exporting keys for use by several commercial
              SSH implementations.
 
-     -f filename
+     ^[[1m-f ^[[4m^[[22mfilename^[[0m
              Specifies the filename of the key file.
 
-     -i      This option will read an unencrypted private (or public) key file
+     ^[[1m-i      ^[[22mThis option will read an unencrypted private (or public) key file
              in SSH2-compatible format and print an OpenSSH compatible private
-             (or public) key to stdout.  ssh-keygen also reads the `SECSH
+             (or public) key to stdout.  ^[[1mssh-keygen ^[[22malso reads the `SECSH
              Public Key File Format'.  This option allows importing keys from
              several commercial SSH implementations.
 
-     -l      Show fingerprint of specified public key file.  Private RSA1 keys
-             are also supported.  For RSA and DSA keys ssh-keygen tries to
+     ^[[1m-l      ^[[22mShow fingerprint of specified public key file.  Private RSA1 keys
+             are also supported.  For RSA and DSA keys ^[[1mssh-keygen ^[[22mtries to
              find the matching public key file and prints its fingerprint.
 
-     -p      Requests changing the passphrase of a private key file instead of
+     ^[[1m-p      ^[[22mRequests changing the passphrase of a private key file instead of
              creating a new private key.  The program will prompt for the file
              containing the private key, for the old passphrase, and twice for
              the new passphrase.
 
-     -q      Silence ssh-keygen.  Used by /etc/rc when creating a new key.
+     ^[[1m-q      ^[[22mSilence ^[[1mssh-keygen^[[22m.  Used by ^[[4m/etc/rc^[[24m when creating a new key.
 
-     -y      This option will read a private OpenSSH format file and print an
+     ^[[1m-y      ^[[22mThis option will read a private OpenSSH format file and print an
              OpenSSH public key to stdout.
 
-     -t type
+     ^[[1m-t ^[[4m^[[22mtype^[[0m
              Specifies the type of the key to create.  The possible values are
-             ``rsa1'' for protocol version 1 and ``rsa'' or ``dsa'' for protoM--
+             ``rsa1'' for protocol version 1 and ``rsa'' or ``dsa'' for proto-
              col version 2.
 
-     -B      Show the bubblebabble digest of specified private or public key
+     ^[[1m-B      ^[[22mShow the bubblebabble digest of specified private or public key
              file.
 
-     -C comment
+     ^[[1m-C ^[[4m^[[22mcomment^[[0m
              Provides the new comment.
 
-     -D reader
-             Download the RSA public key stored in the smartcard in reader.
+     ^[[1m-D ^[[4m^[[22mreader^[[0m
+             Download the RSA public key stored in the smartcard in ^[[4mreader^[[24m.
 
-     -N new_passphrase
+     ^[[1m-N ^[[4m^[[22mnew_passphrase^[[0m
              Provides the new passphrase.
 
-     -P passphrase
+     ^[[1m-P ^[[4m^[[22mpassphrase^[[0m
              Provides the (old) passphrase.
 
-     -U reader
-             Upload an existing RSA private key into the smartcard in reader.
+     ^[[1m-U ^[[4m^[[22mreader^[[0m
+             Upload an existing RSA private key into the smartcard in ^[[4mreader^[[24m.
 
-FILES
+^[[1mFILES^[[0m
      $HOME/.ssh/identity
              Contains the protocol version 1 RSA authentication identity of
              the user.  This file should not be readable by anyone but the
              user.  It is possible to specify a passphrase when generating the
              key; that passphrase will be used to encrypt the private part of
              this file using 3DES.  This file is not automatically accessed by
-             ssh-keygen but it is offered as the default file for the private
+             ^[[1mssh-keygen ^[[22mbut it is offered as the default file for the private
              key.  ssh(1) will read this file when a login attempt is made.
 
      $HOME/.ssh/identity.pub
-             Contains the protocol version 1 RSA public key for authenticaM--
+             Contains the protocol version 1 RSA public key for authentica-
              tion.  The contents of this file should be added to
-             $HOME/.ssh/authorized_keys on all machines where the user wishes
+             ^[[4m$HOME/.ssh/authorized_keys^[[24m on all machines where the user wishes
              to log in using RSA authentication.  There is no need to keep the
              contents of this file secret.
 
@@ -141,13 +141,13 @@
              user.  It is possible to specify a passphrase when generating the
              key; that passphrase will be used to encrypt the private part of
              this file using 3DES.  This file is not automatically accessed by
-             ssh-keygen but it is offered as the default file for the private
+             ^[[1mssh-keygen ^[[22mbut it is offered as the default file for the private
              key.  ssh(1) will read this file when a login attempt is made.
 
      $HOME/.ssh/id_dsa.pub
-             Contains the protocol version 2 DSA public key for authenticaM--
+             Contains the protocol version 2 DSA public key for authentica-
              tion.  The contents of this file should be added to
-             $HOME/.ssh/authorized_keys on all machines where the user wishes
+             ^[[4m$HOME/.ssh/authorized_keys^[[24m on all machines where the user wishes
              to log in using public key authentication.  There is no need to
              keep the contents of this file secret.
 
@@ -157,27 +157,27 @@
              user.  It is possible to specify a passphrase when generating the
              key; that passphrase will be used to encrypt the private part of
              this file using 3DES.  This file is not automatically accessed by
-             ssh-keygen but it is offered as the default file for the private
+             ^[[1mssh-keygen ^[[22mbut it is offered as the default file for the private
              key.  ssh(1) will read this file when a login attempt is made.
 
      $HOME/.ssh/id_rsa.pub
-             Contains the protocol version 2 RSA public key for authenticaM--
+             Contains the protocol version 2 RSA public key for authentica-
              tion.  The contents of this file should be added to
-             $HOME/.ssh/authorized_keys on all machines where the user wishes
+             ^[[4m$HOME/.ssh/authorized_keys^[[24m on all machines where the user wishes
              to log in using public key authentication.  There is no need to
              keep the contents of this file secret.
 
-AUTHORS
+^[[1mAUTHORS^[[0m
      OpenSSH is a derivative of the original and free ssh 1.2.12 release by
      Tatu Ylonen.  Aaron Campbell, Bob Beck, Markus Friedl, Niels Provos, Theo
-     de Raadt and Dug Song removed many bugs, re-added newer features and creM--
+     de Raadt and Dug Song removed many bugs, re-added newer features and cre-
      ated OpenSSH.  Markus Friedl contributed the support for SSH protocol
      versions 1.5 and 2.0.
 
-SEE ALSO
+^[[1mSEE ALSO^[[0m
      ssh(1), ssh-add(1), ssh-agent(1), sshd(8)
 
-     J. Galbraith and R. Thayer, SECSH Public Key File Format, draft-ietf-
+     J. Galbraith and R. Thayer, ^[[4mSECSH^[[24m ^[[4mPublic^[[24m ^[[4mKey^[[24m ^[[4mFile^[[24m ^[[4mFormat^[[24m, draft-ietf-
      secsh-publickeyfile-01.txt, March 2001, work in progress material.
 
 BSD                           September 25, 1999                           BSD
diff -ru openssh-3.5p1.orig/ssh-keyscan.0 openssh-3.5p1/ssh-keyscan.0
--- openssh-3.5p1.orig/ssh-keyscan.0	2002-10-04 11:31:44.000000000 +1000
+++ openssh-3.5p1/ssh-keyscan.0	2003-03-12 21:15:23.000000000 +1100
@@ -1,101 +1,101 @@
-SSH-KEYSCAN(1)          System General Commands Manual          SSH-KEYSCAN(1)
+SSH-KEYSCAN(1)            BSD General Commands Manual           SSH-KEYSCAN(1)
 
-NAME
-     ssh-keyscan - gather ssh public keys
+^[[1mNAME^[[0m
+     ^[[1mssh-keyscan ^[[22m- gather ssh public keys
 
-SYNOPSIS
-     ssh-keyscan [-v46] [-p port] [-T timeout] [-t type] [-f file]
-                 [host | addrlist namelist] [...]
+^[[1mSYNOPSIS^[[0m
+     ^[[1mssh-keyscan ^[[22m[^[[1m-v46^[[22m] [^[[1m-p ^[[4m^[[22mport^[[24m] [^[[1m-T ^[[4m^[[22mtimeout^[[24m] [^[[1m-t ^[[4m^[[22mtype^[[24m] [^[[1m-f ^[[4m^[[22mfile^[[24m]
+                 [^[[4mhost^[[24m | ^[[4maddrlist^[[24m ^[[4mnamelist^[[24m] [^[[4m...^[[24m]
 
-DESCRIPTION
-     ssh-keyscan is a utility for gathering the public ssh host keys of a numM--
+^[[1mDESCRIPTION^[[0m
+     ^[[1mssh-keyscan ^[[22mis a utility for gathering the public ssh host keys of a num-
      ber of hosts.  It was designed to aid in building and verifying
-     ssh_known_hosts files.  ssh-keyscan provides a minimal interface suitable
+     ^[[4mssh_known_hosts^[[24m files.  ^[[1mssh-keyscan ^[[22mprovides a minimal interface suitable
      for use by shell and perl scripts.
 
-     ssh-keyscan uses non-blocking socket I/O to contact as many hosts as posM--
+     ^[[1mssh-keyscan ^[[22muses non-blocking socket I/O to contact as many hosts as pos-
      sible in parallel, so it is very efficient.  The keys from a domain of
      1,000 hosts can be collected in tens of seconds, even when some of those
      hosts are down or do not run ssh.  For scanning, one does not need login
-     access to the machines that are being scanned, nor does the scanning proM--
+     access to the machines that are being scanned, nor does the scanning pro-
      cess involve any encryption.
 
      The options are as follows:
 
-     -p port
+     ^[[1m-p ^[[4m^[[22mport^[[0m
              Port to connect to on the remote host.
 
-     -T timeout
-             Set the timeout for connection attempts.  If timeout seconds have
+     ^[[1m-T ^[[4m^[[22mtimeout^[[0m
+             Set the timeout for connection attempts.  If ^[[4mtimeout^[[24m seconds have
              elapsed since a connection was initiated to a host or since the
              last time anything was read from that host, then the connection
              is closed and the host in question considered unavailable.
              Default is 5 seconds.
 
-     -t type
+     ^[[1m-t ^[[4m^[[22mtype^[[0m
              Specifies the type of the key to fetch from the scanned hosts.
              The possible values are ``rsa1'' for protocol version 1 and
              ``rsa'' or ``dsa'' for protocol version 2.  Multiple values may
              be specified by separating them with commas.  The default is
              ``rsa1''.
 
-     -f filename
-             Read hosts or addrlist namelist pairs from this file, one per
-             line.  If - is supplied instead of a filename, ssh-keyscan will
-             read hosts or addrlist namelist pairs from the standard input.
+     ^[[1m-f ^[[4m^[[22mfilename^[[0m
+             Read hosts or ^[[4maddrlist^[[24m ^[[4mnamelist^[[24m pairs from this file, one per
+             line.  If ^[[4m-^[[24m is supplied instead of a filename, ^[[1mssh-keyscan ^[[22mwill
+             read hosts or ^[[4maddrlist^[[24m ^[[4mnamelist^[[24m pairs from the standard input.
 
-     -v      Verbose mode.  Causes ssh-keyscan to print debugging messages
+     ^[[1m-v      ^[[22mVerbose mode.  Causes ^[[1mssh-keyscan ^[[22mto print debugging messages
              about its progress.
 
-     -4      Forces ssh-keyscan to use IPv4 addresses only.
+     ^[[1m-4      ^[[22mForces ^[[1mssh-keyscan ^[[22mto use IPv4 addresses only.
 
-     -6      Forces ssh-keyscan to use IPv6 addresses only.
+     ^[[1m-6      ^[[22mForces ^[[1mssh-keyscan ^[[22mto use IPv6 addresses only.
 
-SECURITY
-     If a ssh_known_hosts file is constructed using ssh-keyscan without veriM--
+^[[1mSECURITY^[[0m
+     If a ssh_known_hosts file is constructed using ^[[1mssh-keyscan ^[[22mwithout veri-
      fying the keys, users will be vulnerable to attacks.  On the other hand,
-     if the security model allows such a risk, ssh-keyscan can help in the
+     if the security model allows such a risk, ^[[1mssh-keyscan ^[[22mcan help in the
      detection of tampered keyfiles or man in the middle attacks which have
      begun after the ssh_known_hosts file was created.
 
-EXAMPLES
-     Print the rsa1 host key for machine hostname:
+^[[1mEXAMPLES^[[0m
+     Print the ^[[4mrsa1^[[24m host key for machine ^[[4mhostname^[[24m:
 
      $ ssh-keyscan hostname
 
-     Find all hosts from the file ssh_hosts which have new or different keys
-     from those in the sorted file ssh_known_hosts:
+     Find all hosts from the file ^[[4mssh_hosts^[[24m which have new or different keys
+     from those in the sorted file ^[[4mssh_known_hosts^[[24m:
 
      $ ssh-keyscan -t rsa,dsa -f ssh_hosts | \
              sort -u - ssh_known_hosts | diff ssh_known_hosts -
 
-FILES
-     Input format:
+^[[1mFILES^[[0m
+     ^[[4mInput^[[24m ^[[4mformat:^[[0m
 
      1.2.3.4,1.2.4.4 name.my.domain,name,n.my.domain,n,1.2.3.4,1.2.4.4
 
-     Output format for rsa1 keys:
+     ^[[4mOutput^[[24m ^[[4mformat^[[24m ^[[4mfor^[[24m ^[[4mrsa1^[[24m ^[[4mkeys:^[[0m
 
      host-or-namelist bits exponent modulus
 
-     Output format for rsa and dsa keys:
+     ^[[4mOutput^[[24m ^[[4mformat^[[24m ^[[4mfor^[[24m ^[[4mrsa^[[24m ^[[4mand^[[24m ^[[4mdsa^[[24m ^[[4mkeys:^[[0m
 
      host-or-namelist keytype base64-encoded-key
 
-     Where keytype is either ``ssh-rsa'' or ``ssh-dsa''.
+     Where ^[[4mkeytype^[[24m is either ``ssh-rsa'' or ``ssh-dsa''.
 
-     /etc/ssh/ssh_known_hosts
+     ^[[4m/etc/ssh/ssh_known_hosts^[[0m
 
-BUGS
+^[[1mBUGS^[[0m
      It generates "Connection closed by remote host" messages on the consoles
      of all the machines it scans if the server is older than version 2.9.
      This is because it opens a connection to the ssh port, reads the public
      key, and drops the connection as soon as it gets the key.
 
-SEE ALSO
+^[[1mSEE ALSO^[[0m
      ssh(1), sshd(8)
 
-AUTHORS
+^[[1mAUTHORS^[[0m
      David Mazieres <dm@lcs.mit.edu> wrote the initial version, and Wayne
      Davison <wayned@users.sourceforge.net> added support for protocol version
      2.
diff -ru openssh-3.5p1.orig/ssh-keysign.0 openssh-3.5p1/ssh-keysign.0
--- openssh-3.5p1.orig/ssh-keysign.0	2002-10-04 11:31:46.000000000 +1000
+++ openssh-3.5p1/ssh-keysign.0	2003-03-12 21:15:27.000000000 +1100
@@ -1,42 +1,42 @@
-SSH-KEYSIGN(8)              System Manager's Manual             SSH-KEYSIGN(8)
+SSH-KEYSIGN(8)            BSD System Manager's Manual           SSH-KEYSIGN(8)
 
-NAME
-     ssh-keysign - ssh helper program for hostbased authentication
+^[[1mNAME^[[0m
+     ^[[1mssh-keysign ^[[22m- ssh helper program for hostbased authentication
 
-SYNOPSIS
-     ssh-keysign
+^[[1mSYNOPSIS^[[0m
+     ^[[1mssh-keysign^[[0m
 
-DESCRIPTION
-     ssh-keysign is used by ssh(1) to access the local host keys and generate
+^[[1mDESCRIPTION^[[0m
+     ^[[1mssh-keysign ^[[22mis used by ssh(1) to access the local host keys and generate
      the digital signature required during hostbased authentication with SSH
      protocol version 2.
 
-     ssh-keysign is disabled by default and can only be enabled in the the
-     global client configuration file /etc/ssh/ssh_config by setting
-     HostbasedAuthentication to ``yes''.
+     ^[[1mssh-keysign ^[[22mis disabled by default and can only be enabled in the the
+     global client configuration file ^[[4m/etc/ssh/ssh_config^[[24m by setting
+     ^[[1mHostbasedAuthentication ^[[22mto ``yes''.
 
-     ssh-keysign is not intended to be invoked by the user, but from ssh(1).
-     See ssh(1) and sshd(8) for more information about hostbased authenticaM--
+     ^[[1mssh-keysign ^[[22mis not intended to be invoked by the user, but from ssh(1).
+     See ssh(1) and sshd(8) for more information about hostbased authentica-
      tion.
 
-FILES
+^[[1mFILES^[[0m
      /etc/ssh/ssh_config
-             Controls whether ssh-keysign is enabled.
+             Controls whether ^[[1mssh-keysign ^[[22mis enabled.
 
      /etc/ssh/ssh_host_dsa_key, /etc/ssh/ssh_host_rsa_key
              These files contain the private parts of the host keys used to
              generate the digital signature.  They should be owned by root,
              readable only by root, and not accessible to others.  Since they
-             are readable only by root, ssh-keysign must be set-uid root if
+             are readable only by root, ^[[1mssh-keysign ^[[22mmust be set-uid root if
              hostbased authentication is used.
 
-SEE ALSO
+^[[1mSEE ALSO^[[0m
      ssh(1), ssh-keygen(1), ssh_config(5), sshd(8)
 
-AUTHORS
+^[[1mAUTHORS^[[0m
      Markus Friedl <markus@openbsd.org>
 
-HISTORY
-     ssh-keysign first appeared in OpenBSD 3.2.
+^[[1mHISTORY^[[0m
+     ^[[1mssh-keysign ^[[22mfirst appeared in OpenBSD 3.2.
 
 BSD                              May 24, 2002                              BSD
diff -ru openssh-3.5p1.orig/ssh-rand-helper.0 openssh-3.5p1/ssh-rand-helper.0
--- openssh-3.5p1.orig/ssh-rand-helper.0	2002-10-04 11:31:46.000000000 +1000
+++ openssh-3.5p1/ssh-rand-helper.0	2003-03-12 21:15:27.000000000 +1100
@@ -1,49 +1,49 @@
-SSH-RAND-HELPER(8)          System Manager's Manual         SSH-RAND-HELPER(8)
+SSH-RAND-HELPER(8)        BSD System Manager's Manual       SSH-RAND-HELPER(8)
 
-NAME
-     ssh-rand-helper - Random number gatherer for OpenSSH
+^[[1mNAME^[[0m
+     ^[[1mssh-rand-helper ^[[22m- Random number gatherer for OpenSSH
 
-SYNOPSIS
-     ssh-rand-hlper [-vxXh] [-b bytes]
+^[[1mSYNOPSIS^[[0m
+     ^[[1mssh-rand-hlper ^[[22m[^[[1m-vxXh^[[22m] [^[[1m-b ^[[4m^[[22mbytes^[[24m]
 
-DESCRIPTION
-     ssh-rand-helper is a small helper program used by ssh(1), ssh-add(1),
+^[[1mDESCRIPTION^[[0m
+     ^[[1mssh-rand-helper ^[[22mis a small helper program used by ssh(1), ssh-add(1),
      ssh-agent(1), ssh-keygen(1), ssh-keyscan(1) and sshd(8) to gather random
      numbers of cryptographic quality if the openssl(4) library has not been
      configured to provide them itself.
 
-     Normally ssh-rand-helper will generate a strong random seed and provide
+     Normally ^[[1mssh-rand-helper ^[[22mwill generate a strong random seed and provide
      it to the calling program via standard output. If standard output is a
-     tty, ssh-rand-helper will instead print the seed in hexidecimal format
+     tty, ^[[1mssh-rand-helper ^[[22mwill instead print the seed in hexidecimal format
      unless told otherwise.
 
-     ssh-rand-helper will by default gather random numbers from the system
-     commands listed in /etc/ssh/ssh_prng_cmds.  The output of each of the
+     ^[[1mssh-rand-helper ^[[22mwill by default gather random numbers from the system
+     commands listed in ^[[4m/etc/ssh/ssh_prng_cmds^[[24m.  The output of each of the
      commands listed will be hashed and used to generate a random seed for the
-     calling program.  ssh-rand-helper will also store seed files in
-     ~/.ssh/prng_seed between executions.
+     calling program.  ^[[1mssh-rand-helper ^[[22mwill also store seed files in
+     ^[[4m~/.ssh/prng_seed^[[24m between executions.
 
-     Alternately, ssh-rand-helper may be configured at build time to collect
+     Alternately, ^[[1mssh-rand-helper ^[[22mmay be configured at build time to collect
      random numbers from a EGD/PRNGd server via a unix domain or localhost tcp
      socket.
 
-     This program is not intended to be run by the end-user, so the few comM--
+     This program is not intended to be run by the end-user, so the few com-
      mandline options are for debugging purposes only.
 
-     -b bytes
+     ^[[1m-b ^[[4m^[[22mbytes^[[0m
              Specify the number of random bytes to include in the output.
 
-     -x      Output a hexidecimal instead of a binary seed.
+     ^[[1m-x      ^[[22mOutput a hexidecimal instead of a binary seed.
 
-     -X      Force output of a binary seed, even if standard output is a tty
+     ^[[1m-X      ^[[22mForce output of a binary seed, even if standard output is a tty
 
-     -v      Turn on debugging message. Multiple -v options will increase the
-             debugging level.  -h Display a summary of options.
+     ^[[1m-v      ^[[22mTurn on debugging message. Multiple ^[[1m-v ^[[22moptions will increase the
+             debugging level.  ^[[1m-h ^[[22mDisplay a summary of options.
 
-AUTHORS
+^[[1mAUTHORS^[[0m
      Damien Miller <djm@mindrot.org>
 
-SEE ALSO
+^[[1mSEE ALSO^[[0m
      ssh(1), ssh-add(1), ssh-keygen(1), sshd(8)
 
 BSD                             April 14, 2002                             BSD
